# NvBuffer::NvBuffer::NvBufferPlane Struct Reference

Holds the buffer plane parameters. More...

`#include <NvBuffer.h>`

List of all members.

## Public Attributes

NvBufferPlaneFormat | fmt
| Holds the format of the plane.
unsigned char * | data
| Holds a pointer to the plane memory.
uint32_t | bytesused
| Holds the number of valid bytes in the plane.
int | fd
| Holds the file descriptor (FD) of the plane of the exported buffer, in the case of V4L2 MMAP buffers.
uint32_t | mem_offset
| Holds the offset of the first valid byte from the data pointer.
uint32_t | length
| Holds the size of the buffer in bytes.

## Detailed Description

Holds the buffer plane parameters.

Definition at line 105 of file NvBuffer.h.

## Member Data Documentation

uint32_t NvBuffer::NvBuffer::NvBufferPlane::bytesused

Holds the number of valid bytes in the plane.

Definition at line 110 of file NvBuffer.h.

unsigned char* NvBuffer::NvBuffer::NvBufferPlane::data

Holds a pointer to the plane memory.

Definition at line 109 of file NvBuffer.h.

int NvBuffer::NvBuffer::NvBufferPlane::fd

Holds the file descriptor (FD) of the plane of the exported buffer, in the case of V4L2 MMAP buffers.

Definition at line 112 of file NvBuffer.h.

NvBufferPlaneFormat NvBuffer::NvBuffer::NvBufferPlane::fmt

Holds the format of the plane.

Definition at line 107 of file NvBuffer.h.

uint32_t NvBuffer::NvBuffer::NvBufferPlane::length

Holds the size of the buffer in bytes.

Definition at line 116 of file NvBuffer.h.

uint32_t NvBuffer::NvBuffer::NvBufferPlane::mem_offset

Holds the offset of the first valid byte from the data pointer.

Definition at line 114 of file NvBuffer.h.

The documentation for this struct was generated from the following file:

- include/NvBuffer.h